﻿<Project Sdk="Microsoft.NET.Sdk">
  
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <LangVersion>8.0</LangVersion>
    <RootNamespace>BeeIt.TowerDefense.Logic</RootNamespace>
    <AssemblyName>TowerDefense.Logic</AssemblyName>
	<OutputType>Library</OutputType>
  </PropertyGroup>

  <PropertyGroup>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <OutputPath>$(SolutionDir)Output\$(AssemblyName)</OutputPath>
    <IntermediateOutputPath>$(SolutionDir)obj\$(AssemblyName)\$(Configuration)</IntermediateOutputPath>
    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\TowerDefense.Contracts\TowerDefense.Contracts.csproj" />
    <ProjectReference Include="..\TowerDefense.UI.Resources\TowerDefense.UI.Resources.csproj" />
  </ItemGroup>
  
</Project>